Bug 102230 - Mozilla broken in some locales
Summary: Mozilla broken in some locales
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: beta1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-08-12 20:26 UTC by Alan Cox
Modified: 2006-06-06 17:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 17:40:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2003-08-12 20:26:45 UTC
Description of problem:
Mozilla is broken in some locales

How reproducible:
100%

Steps to Reproduce:
1. Set default environment to Welsh (cy_GB.UTF-8)
2. Run mozilla for a new user
3. Stop mozilla entirely, restart it
4. LANG=C mozilla
    
Actual results:
#3 fails but should work
#4 works demonstrating its a locale problem

Expected results:
Working mozilla

(no extras have been added to this mozilla, the .mozilla is fresh too)

Comment 1 Alan Cox 2003-08-12 20:53:11 UTC
Ok I did some more experimenting and I can explain what fixes it but I dont know
enough about mozilla to guess why

I did 
rm -rf .mozilla/profilepath/chrome

which fixed the window spewing crap (102231)

LANG=C mozilla 

now works, mozilla now fails

LANG=C mozilla
go to www.meddal.org.uk
install cy language pack
and it now works

Seems something is broken in the fallbacks for unknown locales ?

Oddly however LANG=[various other things] mozilla seems ok either way

Comment 2 Christopher Blizzard 2003-09-03 14:40:44 UTC
Yeah, I think that Mozilla doesn't handle fallback locales very well at all. 
Our locale system is so screwed up.  *sigh*

Comment 3 Alan Cox 2006-06-06 17:40:41 UTC
Historical bug, closing



Note You need to log in before you can comment on or make changes to this bug.